package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class BuyDoubleEleven2021Dto {

    @ApiModelProperty(value = "付款渠道")
    private String paymentChannel;

    @ApiModelProperty(value = "业务渠道")
    private String paymentBusinessChannel;

    @ApiModelProperty(value = "是否使用账户余额支付")
    private boolean isUseBalancePayment;

    @ApiModelProperty(value = "是否重新支付")
    private boolean isRepeatPay;

    @ApiModelProperty(value = "营销活动编号")
    private String activityIdList;

    @ApiModelProperty(value = "优惠券列表", required = false)
    private List<Integer> couponIdList;

    private Integer organId;

    private Integer userId;

    public String getActivityIdList() {
        return activityIdList;
    }

    public void setActivityIdList(String activityIdList) {
        this.activityIdList = activityIdList;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public List<Integer> getCouponIdList() {
        return couponIdList;
    }

    public void setCouponIdList(List<Integer> couponIdList) {
        this.couponIdList = couponIdList;
    }

    public boolean isRepeatPay() {
        return isRepeatPay;
    }

    public void setRepeatPay(boolean repeatPay) {
        isRepeatPay = repeatPay;
    }

    public boolean isUseBalancePayment() {
        return isUseBalancePayment;
    }

    public void setUseBalancePayment(boolean useBalancePayment) {
        isUseBalancePayment = useBalancePayment;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getPaymentBusinessChannel() {
        return paymentBusinessChannel;
    }

    public void setPaymentBusinessChannel(String paymentBusinessChannel) {
        this.paymentBusinessChannel = paymentBusinessChannel;
    }
}
